## org.apache.mahout.utils.vectors
Class TermEntry

    java.lang.Object
      org.apache.mahout.utils.vectors.TermEntry

    public class TermEntry

extends Object

Each entry in a `TermInfo` dictionary. Contains information about a term.

Constructor Summary
`TermEntry(String term, int termIdx, int docFreq)`

Method Summary
`int` `getDocFreq()`
`String` `getTerm()`
`int` `getTermIdx()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermEntry

    public TermEntry(String term,
                     int termIdx,
                     int docFreq)

Method Detail

### getTerm

    public String getTerm()

### getTermIdx

    public int getTermIdx()

### getDocFreq

    public int getDocFreq()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.